searchNodes=[{"type":"behaviour","title":"AbsintheGenerator","doc":"AbsintheGenerator Collection of mix tasks to help generate absinthe projects and schemas This can be used to generate either individiual parts of your application or full sections Installation Available in Hex , the package can be installed by adding absinthe_generator to your list of dependencies in mix.exs : def deps do [ { :absinthe_generator , &quot;~&gt; 0.1&quot; } ] end Using via Mix Task We have a few commands we gain access to using this package: mix absinthe # Lists help for absinthe.gen. commands mix absinthe.gen # Lists help for absinthe.gen. commands mix absinthe.gen.mutation # Generates an absinthe mutation schema and inserts the record in the base schema.ex mix absinthe.gen.query # Generates an absinthe query schema and inserts the record in the base schema.ex mix absinthe.gen.resolver # Generates an absinthe resolver mix absinthe.gen.schema # Generates an absinthe schema mix absinthe.gen.type # Generates an absinthe type Using via Code This library also enables developers to create configs that pass into each portion and those configs can be utilized to generate absinthe portions. To see more on this please checkout the docs for: AbsintheGenerator.Schema AbsintheGenerator.Mutation AbsintheGenerator.Query AbsintheGenerator.Resolver AbsintheGenerator.Type Each of these modules defines a struct, when passed to the &amp;AbsintheGenerator.Schema.run/1 function this will generate a string template for your file Contributing This library favors output format over template format and therefore has some sacrifices made in the favor of well formatted output code","ref":"AbsintheGenerator.html"},{"type":"function","title":"AbsintheGenerator.ensure_list_of_structs/3","doc":"","ref":"AbsintheGenerator.html#ensure_list_of_structs/3"},{"type":"function","title":"AbsintheGenerator.evaluate_template/2","doc":"","ref":"AbsintheGenerator.html#evaluate_template/2"},{"type":"function","title":"AbsintheGenerator.moduledoc/0","doc":"","ref":"AbsintheGenerator.html#moduledoc/0"},{"type":"function","title":"AbsintheGenerator.run/1","doc":"","ref":"AbsintheGenerator.html#run/1"},{"type":"callback","title":"AbsintheGenerator.run/1","doc":"This callback is for each resource to create it's own struct","ref":"AbsintheGenerator.html#c:run/1"},{"type":"function","title":"AbsintheGenerator.serialize_struct_to_config/1","doc":"","ref":"AbsintheGenerator.html#serialize_struct_to_config/1"},{"type":"function","title":"AbsintheGenerator.template_path/2","doc":"","ref":"AbsintheGenerator.html#template_path/2"},{"type":"module","title":"AbsintheGenerator.CrudResource","doc":"We can utilize this module to generate crud resource files as well as add them into the schema.ex Definitions :app_name ( String.t/0 ) - Required. Application name you're generating the code under :resource_name ( String.t/0 ) - Required. The query or mutation namespace to organize the code under :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :context_module ( term/0 ) - Required. :resource_fields (list of String.t/0 ) - Required. :only :except","ref":"AbsintheGenerator.CrudResource.html"},{"type":"function","title":"AbsintheGenerator.CrudResource.input_type_object/2","doc":"","ref":"AbsintheGenerator.CrudResource.html#input_type_object/2"},{"type":"function","title":"AbsintheGenerator.CrudResource.mutation_crud_types/0","doc":"","ref":"AbsintheGenerator.CrudResource.html#mutation_crud_types/0"},{"type":"function","title":"AbsintheGenerator.CrudResource.query_crud_types/0","doc":"","ref":"AbsintheGenerator.CrudResource.html#query_crud_types/0"},{"type":"function","title":"AbsintheGenerator.CrudResource.resource_crud_types/0","doc":"","ref":"AbsintheGenerator.CrudResource.html#resource_crud_types/0"},{"type":"function","title":"AbsintheGenerator.CrudResource.type_object/2","doc":"","ref":"AbsintheGenerator.CrudResource.html#type_object/2"},{"type":"type","title":"AbsintheGenerator.CrudResource.crud_type/0","doc":"","ref":"AbsintheGenerator.CrudResource.html#t:crud_type/0"},{"type":"type","title":"AbsintheGenerator.CrudResource.t/0","doc":"","ref":"AbsintheGenerator.CrudResource.html#t:t/0"},{"type":"behaviour","title":"AbsintheGenerator.FileWriter","doc":"Implements a behaviour that each absinthe generator struct implements which enables this module to write contents to the file path defined by the structs callback Additionally it will determine if there's a web folder and if we need to use that instead","ref":"AbsintheGenerator.FileWriter.html"},{"type":"callback","title":"AbsintheGenerator.FileWriter.file_path/1","doc":"","ref":"AbsintheGenerator.FileWriter.html#c:file_path/1"},{"type":"function","title":"AbsintheGenerator.FileWriter.write/3","doc":"","ref":"AbsintheGenerator.FileWriter.html#write/3"},{"type":"module","title":"AbsintheGenerator.MutationTest","doc":"We can utilize this module to generate mutation test files Definitions :app_name ( String.t/0 ) - Required. Application name you're generating the code under :mutation_name ( String.t/0 ) - Required. The query or mutation namespace to organize the code under :mutation_tests (list of keyword/0 ) - List of % AbsintheGenerator.TestDescribe {}","ref":"AbsintheGenerator.MutationTest.html"},{"type":"type","title":"AbsintheGenerator.MutationTest.t/0","doc":"","ref":"AbsintheGenerator.MutationTest.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.QueryTest","doc":"We can utilize this module to generate query test files Definitions :app_name ( String.t/0 ) - Required. Application name you're generating the code under :query_name ( String.t/0 ) - Required. The query or mutation namespace to organize the code under :query_tests (list of keyword/0 ) - List of % AbsintheGenerator.TestDescribe {}","ref":"AbsintheGenerator.QueryTest.html"},{"type":"type","title":"AbsintheGenerator.QueryTest.t/0","doc":"","ref":"AbsintheGenerator.QueryTest.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.SchemaBuilder","doc":"","ref":"AbsintheGenerator.SchemaBuilder.html"},{"type":"function","title":"AbsintheGenerator.SchemaBuilder.generate/2","doc":"","ref":"AbsintheGenerator.SchemaBuilder.html#generate/2"},{"type":"module","title":"AbsintheGenerator.TestDescribe","doc":"We can utilize this module to generate test files which are then used in the mutation &amp; query tests Definitions :describe_name ( String.t/0 ) - Required. describe block text for the test :setup ( String.t/0 ) - setup block for the test :setup_all ( String.t/0 ) - setup_all block for the test :tests (list of non-empty keyword/0 ) - Tests to generate within TestDescribe, following AbsintheGenerator.TestDescribe.TestEntry","ref":"AbsintheGenerator.TestDescribe.html"},{"type":"function","title":"AbsintheGenerator.TestDescribe.definitions/0","doc":"","ref":"AbsintheGenerator.TestDescribe.html#definitions/0"},{"type":"function","title":"AbsintheGenerator.TestDescribe.maybe_build_test_entry_params_list/1","doc":"","ref":"AbsintheGenerator.TestDescribe.html#maybe_build_test_entry_params_list/1"},{"type":"type","title":"AbsintheGenerator.TestDescribe.t/0","doc":"","ref":"AbsintheGenerator.TestDescribe.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.TestDescribe.TestEntry","doc":"","ref":"AbsintheGenerator.TestDescribe.TestEntry.html"},{"type":"type","title":"AbsintheGenerator.TestDescribe.TestEntry.t/0","doc":"","ref":"AbsintheGenerator.TestDescribe.TestEntry.html#t:t/0"},{"type":"module","title":"Mix.AbsintheGeneratorUtils.SchemaFieldParser","doc":"","ref":"Mix.AbsintheGeneratorUtils.SchemaFieldParser.html"},{"type":"function","title":"Mix.AbsintheGeneratorUtils.SchemaFieldParser.parse_field/1","doc":"","ref":"Mix.AbsintheGeneratorUtils.SchemaFieldParser.html#parse_field/1"},{"type":"function","title":"Mix.AbsintheGeneratorUtils.SchemaFieldParser.parse_fields/1","doc":"","ref":"Mix.AbsintheGeneratorUtils.SchemaFieldParser.html#parse_fields/1"},{"type":"task","title":"Mix.Tasks.Absinthe","doc":"AbsintheGenerator Collection of mix tasks to help generate absinthe projects and schemas This can be used to generate either individiual parts of your application or full sections Installation Available in Hex , the package can be installed by adding absinthe_generator to your list of dependencies in mix.exs : def deps do [ { :absinthe_generator , &quot;~&gt; 0.1&quot; } ] end Using via Mix Task We have a few commands we gain access to using this package: mix absinthe # Lists help for absinthe.gen. commands mix absinthe.gen # Lists help for absinthe.gen. commands mix absinthe.gen.mutation # Generates an absinthe mutation schema and inserts the record in the base schema.ex mix absinthe.gen.query # Generates an absinthe query schema and inserts the record in the base schema.ex mix absinthe.gen.resolver # Generates an absinthe resolver mix absinthe.gen.schema # Generates an absinthe schema mix absinthe.gen.type # Generates an absinthe type Using via Code This library also enables developers to create configs that pass into each portion and those configs can be utilized to generate absinthe portions. To see more on this please checkout the docs for: AbsintheGenerator.Schema AbsintheGenerator.Mutation AbsintheGenerator.Query AbsintheGenerator.Resolver AbsintheGenerator.Type Each of these modules defines a struct, when passed to the &amp;AbsintheGenerator.Schema.run/1 function this will generate a string template for your file Contributing This library favors output format over template format and therefore has some sacrifices made in the favor of well formatted output code","ref":"Mix.Tasks.Absinthe.html"},{"type":"function","title":"Mix.Tasks.Absinthe.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Absinthe.html#run/1"},{"type":"task","title":"Mix.Tasks.Absinthe.Gen","doc":"AbsintheGenerator Collection of mix tasks to help generate absinthe projects and schemas This can be used to generate either individiual parts of your application or full sections Installation Available in Hex , the package can be installed by adding absinthe_generator to your list of dependencies in mix.exs : def deps do [ { :absinthe_generator , &quot;~&gt; 0.1&quot; } ] end Using via Mix Task We have a few commands we gain access to using this package: mix absinthe # Lists help for absinthe.gen. commands mix absinthe.gen # Lists help for absinthe.gen. commands mix absinthe.gen.mutation # Generates an absinthe mutation schema and inserts the record in the base schema.ex mix absinthe.gen.query # Generates an absinthe query schema and inserts the record in the base schema.ex mix absinthe.gen.resolver # Generates an absinthe resolver mix absinthe.gen.schema # Generates an absinthe schema mix absinthe.gen.type # Generates an absinthe type Using via Code This library also enables developers to create configs that pass into each portion and those configs can be utilized to generate absinthe portions. To see more on this please checkout the docs for: AbsintheGenerator.Schema AbsintheGenerator.Mutation AbsintheGenerator.Query AbsintheGenerator.Resolver AbsintheGenerator.Type Each of these modules defines a struct, when passed to the &amp;AbsintheGenerator.Schema.run/1 function this will generate a string template for your file Contributing This library favors output format over template format and therefore has some sacrifices made in the favor of well formatted output code","ref":"Mix.Tasks.Absinthe.Gen.html"},{"type":"function","title":"Mix.Tasks.Absinthe.Gen.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Absinthe.Gen.html#run/1"},{"type":"task","title":"Mix.Tasks.Absinthe.Gen.Mutation","doc":"Generates ABSINTHE MUTATION","ref":"Mix.Tasks.Absinthe.Gen.Mutation.html"},{"type":"function","title":"Mix.Tasks.Absinthe.Gen.Mutation.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Absinthe.Gen.Mutation.html#run/1"},{"type":"task","title":"Mix.Tasks.Absinthe.Gen.Query","doc":"Generates an Absinthe Query Options :app_name ( String.t/0 ) - Required. Application name you're generating the code under :query_name ( String.t/0 ) - Required. The query or mutation namespace to organize the code under :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :queries (list of keyword/0 ) - List of % AbsintheGenerator.Schema.Field {} Specifying Queries The following format can be used to specify queries query_name:return_type:arg_name:arg_type:arg_name:arg_type:ResolverModule.resolver_function you can also specify middleware before or after the resolver Example mix absinthe.gen.query summoners:list_of(return_type):arg_a:string:arg_b:non_null(:integer):Resolvers.Summoner.list_all summoner:return_type:id:id:Resolvers.Summoner.find summoner:return_type:middleware:IDToIntegerMiddlewareid:id:middleware:AuthMiddleware:Resolvers.Summoner.find:middleware:ChangesetErrorFormatter --app-name MyApp --query-name students --moduledoc &quot;this is the test&quot;","ref":"Mix.Tasks.Absinthe.Gen.Query.html"},{"type":"function","title":"Mix.Tasks.Absinthe.Gen.Query.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Absinthe.Gen.Query.html#run/1"},{"type":"task","title":"Mix.Tasks.Absinthe.Gen.Resolver","doc":"Generates an Absinthe Schema Options :app_name ( String.t/0 ) - Required. Application name you're generating the code under :resolver_name ( String.t/0 ) - Required. name of the resolver :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :resolver_functions (list of String.t/0 ) - Resolver functions to inject in, these are just inserted right into the resolver The default value is [] . Specifying Middleware To specify middleware we can utilize the following syntax pre_middleware:mutation:AuthMiddleware post_middleware:all:ChangesetErrorFormatter Middleware can be set for mutation , query , subscription or all and can also be set to either run pre or post resolution using pre_middleware or post_middleware Example mix absinthe.gen.resolver func_name:2:MyModule.function --app-name MyApp --resolver-name students --moduledoc &quot;this is the test&quot;","ref":"Mix.Tasks.Absinthe.Gen.Resolver.html"},{"type":"function","title":"Mix.Tasks.Absinthe.Gen.Resolver.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Absinthe.Gen.Resolver.html#run/1"},{"type":"task","title":"Mix.Tasks.Absinthe.Gen.Schema","doc":"Generates an Absinthe Schema Options :app_name ( String.t/0 ) - Required. Application name you're generating the code under :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :queries (list of String.t/0 ) - List of query namespaces The default value is [] . :mutations (list of String.t/0 ) - List of mutation namespaces The default value is [] . :subscriptions (list of String.t/0 ) - List of subscription namespaces The default value is [] . :types (list of String.t/0 ) - List of types The default value is [] . :data_sources (list of keyword/0 ) - List of % AbsintheGenerator.Schema.DataSource {} The default value is [] . :pre_middleware (list of keyword/0 ) - List of % AbsintheGenerator.Schema.Middleware {} The default value is [] . :post_middleware (list of keyword/0 ) - List of % AbsintheGenerator.Schema.Middleware {} The default value is [] . Specifying Middleware To specify middleware we can utilize the following syntax pre_middleware:mutation:AuthMiddleware post_middleware:all:ChangesetErrorFormatter Middleware can be set for mutation , query , subscription or all and can also be set to either run pre or post resolution using pre_middleware or post_middleware Example mix absinthe.gen.schema pre_middleware:mutation:MyMiddlwareModule post_middleware:all:MyAllMiddleware --app-name MyApp --query test --query user --mutation user --mutation session --type MyApp --moduledoc &quot;this is the test&quot; --data-source &quot;EctoSchemas.Cats&quot;","ref":"Mix.Tasks.Absinthe.Gen.Schema.html"},{"type":"function","title":"Mix.Tasks.Absinthe.Gen.Schema.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Absinthe.Gen.Schema.html#run/1"},{"type":"task","title":"Mix.Tasks.Absinthe.Gen.Type","doc":"Generates an Absinthe Type Options :app_name ( String.t/0 ) - Required. Application name you're generating the code under :type_name ( String.t/0 ) - Required. name of the type :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :enums (list of keyword/0 ) - List of % AbsintheGenerator.Type.EnumValue {} :objects (list of keyword/0 ) - List of % AbsintheGenerator.Type.Object {} Specifying Types To specify types we can utilize the following syntax type_name:enum:VALUE_1:VALUE_2:VALUE_3 type_name:object:name:string:birthday:date:names:list_of(string) Example mix absinthe.gen.type animal:enum:CAT:DOG user:object:name:string:birthday:date:id:id:animal:animal --app-name MyApp --type-name people","ref":"Mix.Tasks.Absinthe.Gen.Type.html"},{"type":"function","title":"Mix.Tasks.Absinthe.Gen.Type.run/1","doc":"Callback implementation for Mix.Task.run/1 .","ref":"Mix.Tasks.Absinthe.Gen.Type.html#run/1"},{"type":"module","title":"AbsintheGenerator.Mutation","doc":"We can utilize this module to generate mutation files to be imported into the schema.ex Definitions :app_name ( String.t/0 ) - Required. Application name you're generating the code under :mutation_name ( String.t/0 ) - Required. The query or mutation namespace to organize the code under :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :mutations (list of keyword/0 ) - List of % AbsintheGenerator.Schema.Field {}","ref":"AbsintheGenerator.Mutation.html"},{"type":"type","title":"AbsintheGenerator.Mutation.t/0","doc":"","ref":"AbsintheGenerator.Mutation.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Query","doc":"We can utilize this module to generate query files to be imported into the schema.ex Definitions :app_name ( String.t/0 ) - Required. Application name you're generating the code under :query_name ( String.t/0 ) - Required. The query or mutation namespace to organize the code under :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :queries (list of keyword/0 ) - List of % AbsintheGenerator.Schema.Field {}","ref":"AbsintheGenerator.Query.html"},{"type":"function","title":"AbsintheGenerator.Query.definitions/0","doc":"","ref":"AbsintheGenerator.Query.html#definitions/0"},{"type":"type","title":"AbsintheGenerator.Query.t/0","doc":"","ref":"AbsintheGenerator.Query.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Resolver","doc":"We can utilize this module to generate resolver files which are then used in the mutations/queries/subscriptions Definitions :app_name ( String.t/0 ) - Required. Application name you're generating the code under :resolver_name ( String.t/0 ) - Required. name of the resolver :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :resolver_functions (list of String.t/0 ) - Resolver functions to inject in, these are just inserted right into the resolver The default value is [] .","ref":"AbsintheGenerator.Resolver.html"},{"type":"function","title":"AbsintheGenerator.Resolver.definitions/0","doc":"","ref":"AbsintheGenerator.Resolver.html#definitions/0"},{"type":"type","title":"AbsintheGenerator.Resolver.t/0","doc":"","ref":"AbsintheGenerator.Resolver.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Schema","doc":"We can utilize this module to generate resolver files which are then used in the mutations/queries/subscriptions Definitions :app_name ( String.t/0 ) - Required. Application name you're generating the code under :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :queries (list of String.t/0 ) - List of query namespaces The default value is [] . :mutations (list of String.t/0 ) - List of mutation namespaces The default value is [] . :subscriptions (list of String.t/0 ) - List of subscription namespaces The default value is [] . :types (list of String.t/0 ) - List of types The default value is [] . :data_sources (list of keyword/0 ) - List of % AbsintheGenerator.Schema.DataSource {} The default value is [] . :pre_middleware (list of keyword/0 ) - List of % AbsintheGenerator.Schema.Middleware {} The default value is [] . :post_middleware (list of keyword/0 ) - List of % AbsintheGenerator.Schema.Middleware {} The default value is [] .","ref":"AbsintheGenerator.Schema.html"},{"type":"function","title":"AbsintheGenerator.Schema.definitions/0","doc":"","ref":"AbsintheGenerator.Schema.html#definitions/0"},{"type":"type","title":"AbsintheGenerator.Schema.t/0","doc":"","ref":"AbsintheGenerator.Schema.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Schema.DataSource","doc":"","ref":"AbsintheGenerator.Schema.DataSource.html"},{"type":"type","title":"AbsintheGenerator.Schema.DataSource.t/0","doc":"","ref":"AbsintheGenerator.Schema.DataSource.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Schema.Field","doc":"","ref":"AbsintheGenerator.Schema.Field.html"},{"type":"function","title":"AbsintheGenerator.Schema.Field.maybe_add_non_null_argument/1","doc":"","ref":"AbsintheGenerator.Schema.Field.html#maybe_add_non_null_argument/1"},{"type":"type","title":"AbsintheGenerator.Schema.Field.t/0","doc":"","ref":"AbsintheGenerator.Schema.Field.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Schema.Field.Argument","doc":"","ref":"AbsintheGenerator.Schema.Field.Argument.html"},{"type":"type","title":"AbsintheGenerator.Schema.Field.Argument.t/0","doc":"","ref":"AbsintheGenerator.Schema.Field.Argument.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Schema.Middleware","doc":"","ref":"AbsintheGenerator.Schema.Middleware.html"},{"type":"type","title":"AbsintheGenerator.Schema.Middleware.t/0","doc":"","ref":"AbsintheGenerator.Schema.Middleware.html#t:t/0"},{"type":"type","title":"AbsintheGenerator.Schema.Middleware.types/0","doc":"","ref":"AbsintheGenerator.Schema.Middleware.html#t:types/0"},{"type":"module","title":"AbsintheGenerator.Type","doc":"We can utilize this module to generate resolver files which are then used in the mutations/queries/subscriptions Definitions :app_name ( String.t/0 ) - Required. Application name you're generating the code under :type_name ( String.t/0 ) - Required. name of the type :moduledoc ( String.t/0 ) - Moduledoc message can be injected into the resulting output code :enums (list of keyword/0 ) - List of % AbsintheGenerator.Type.EnumValue {} :objects (list of keyword/0 ) - List of % AbsintheGenerator.Type.Object {}","ref":"AbsintheGenerator.Type.html"},{"type":"function","title":"AbsintheGenerator.Type.definitions/0","doc":"","ref":"AbsintheGenerator.Type.html#definitions/0"},{"type":"function","title":"AbsintheGenerator.Type.maybe_add_non_null/1","doc":"","ref":"AbsintheGenerator.Type.html#maybe_add_non_null/1"},{"type":"function","title":"AbsintheGenerator.Type.maybe_string_atomize_type/1","doc":"","ref":"AbsintheGenerator.Type.html#maybe_string_atomize_type/1"},{"type":"type","title":"AbsintheGenerator.Type.t/0","doc":"","ref":"AbsintheGenerator.Type.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Type.EnumValue","doc":"","ref":"AbsintheGenerator.Type.EnumValue.html"},{"type":"type","title":"AbsintheGenerator.Type.EnumValue.t/0","doc":"","ref":"AbsintheGenerator.Type.EnumValue.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Type.Object","doc":"","ref":"AbsintheGenerator.Type.Object.html"},{"type":"type","title":"AbsintheGenerator.Type.Object.t/0","doc":"","ref":"AbsintheGenerator.Type.Object.html#t:t/0"},{"type":"module","title":"AbsintheGenerator.Type.Object.Field","doc":"","ref":"AbsintheGenerator.Type.Object.Field.html"},{"type":"type","title":"AbsintheGenerator.Type.Object.Field.t/0","doc":"","ref":"AbsintheGenerator.Type.Object.Field.html#t:t/0"}]